ArenaLive.spellDB = {
			["Trinket"] = { 42292, 120 }, -- SpellID and cooldown of the PvP-Trinket
			["Racials"] = {
					-- First Number is the SpellID, 2nd one is the CD. Use 0 if they don't have a shared CD.
					["Human"] = { 59752, 120 },
					["Dwarf"] = { 20594, 120 },
					["NightElf"] = { 58984, 120 },
					["Gnome"] = { 20589, 90 },
					["Draenei"] = { -- For some reason, as a Draenei every class has it's own "Gift of the Naaru" spell. So we have to add them all into the table
						["WARRIOR"] =  { 28880, 180 },
						["PALADIN"] = { 59542, 180 },
						["HUNTER"] = { 59543, 180 },
						["PRIEST"] = { 59544, 180 },
						["DEATHKNIGHT"] = { 59545, 180 },
						["SHAMAN"] = { 59547, 180 },
						["MAGE"] = { 59548, 180 },
						["MONK"] = { 121093, 180 } -- Need to test this as soon as MoP is out.
					},
					["Worgen"] = { 68992, 120, 0 },
					["Orc"] = { -- Since Orcs also have class-specific racials, we need to add all of them
						["WARRIOR"] = { 20572, 120 },
						["HUNTER"] = { 20572, 120 },
						["ROGUE"] = { 20572, 120 },
						["SHAMAN"] = { 33697, 120 },
						["MAGE"] = { 33702, 120 },
						["WARLOCK"] = { 33702, 120 },
						["DEATHKNIGHT"] = { 20572, 120 },
						["MONK"] = { 33697, 120 } -- I guess Monks will get the same racial version as Shamans, since it increases AP+Spell Power. Test this as soon as MoP is out
					},
					["Scourge"] = { 7744, 120 },
					["Tauren"] = { 20549, 120 },
					["Troll"] = { 26297, 180 },
					["BloodElf"] = {
						["WARRIOR"] = { 69179, 120 },
						["PALADIN"] = { 28730, 120 },
						["HUNTER"] = { 80483, 120 },
						["ROGUE"] = { 25046, 120 },
						["PRIEST"] = { 28730, 120 },
						["MAGE"] = { 28730, 120 },
						["WARLOCK"] = { 28730, 120 },
						["DEATHKNIGHT"] = { 50613, 120 },
						["MONK"] = { 129597, 120 }
					},
					["Goblin"] = { 69070, 120 },
					["Pandaren"] = { 107079, 120 }
			},
			["CooldownResets"] = {
				[11958] = {				-- Mage: Cold Snap
					[120] = true,			-- Cone of Cold
					[122] = true,			-- Frost Nova
					[45438] = true,			-- Ice Block
				},
				[11129] = {				-- Mage: Combustion
					[108853] = true,
				},
				[14185] = {				-- Rogue: Preparation
					[2983] = true,
					[1856] = true,
					[5277] = true,
				},
				[108285] = {			-- Shaman: Call of the Elements
					[8143] = true,
					[5394] = true,
					[2484] = true,
					[108269] = true,
					[8177] = true,
					[108270] = true,
					[51485] = true,
					[108273] = true,
					[157153] = true,
				},
				[108503] = { -- Sacrifice basically resets CD for warlocks interrupt
					[132409] = true,		-- Spell lock (Warlock)
				},
			},			
			["CCIndicator"] = { -- This table is used to track those spells, that are shown in the cc indcator.
				-- The order is [spellID] = Priority-Type.

				-- Death Knight
				[48707] = "defCD",			-- Anti-Magic Shell
				[51271] = "offCD", 			-- Pillar of Frost
				[49016] = "offCD",			-- Unholy Frenzy
				[91800] = "stun",			-- Gnaw (Petstun)
				[91797] = "stun", 			-- Monstrous Blow (Petstun)
				[115001] = "stun",			-- Remorseless Winter (stun)
				[108194] = "stun",			-- Asphyxiate
				[47476] = "silence",		-- Strangulate
				[96294] = "root",			-- Chains of Ice (root)
				[91807] = "root", 			-- Pet Leap Root
				
				-- Druid
				[33786] = "defCD",			-- Cyclone (Made that one a def CD, because the enemy is immune to everything during cyclone)
				[110617] = "defCD",			-- Deterrence (Symbiosis)
				[102795] = "stun",			-- Bear Hug
				[22570] = "stun",			-- Maim
				[5211] = "stun",			-- Mighty Bash
				[9005] = "stun",			-- Pounce (stun)
				[102546] = "stun",			-- Pounce (stun, maybe the nonferalversion or something)
				[78675] = "silence",		-- Solar Beam
				[114238] = "silence",		-- Fae Silence (Glyph of Fae Silence)
				[2637] = "crowdControl",	-- Hibernate
				[99] = "crowdControl",		-- Disorienting Roar
				[113056] = "crowdControl",	-- Intimidating Roar (cower)
				[113004] = "crowdControl",	-- Intimidating Roar (flee)
				[339] = "root",				-- Entangling roots
				[19975] = "root",			-- Entangling roots (Nature's Grasp)
				[16979] = "root",			-- Feral Charge (root)
				[102359] = "root",			-- Mass Entanglement

				-- Hunter
				[5384] = "defCD",			-- Feign Death
				[19263] = "defCD",			-- Deterrence
				[117526] = "stun",			-- Binding Shot
				[19577] = "stun",			-- Intimidation (stun)			
				[90337] = "stun",			-- Bad Manner (Monkey Pet)
				[126246] = "stun",			-- Lullaby (Crane Pet)
				[126423] = "stun",			-- Petrifying Gaze (Basilisk Pet)
				[126355] = "stun",			-- Paralyzing Quill (Porcupine Pet)
				[56626] = "stun",			-- Sting (Wasp Pet)
				[50519] = "stun",			-- Sonic Blast (Bat Pet)
				[96201] = "stun",			-- Web Wrap (Spider-Pet Stun)
				[34490] = "silence",		-- Silencing Shot
				[3355] = "crowdControl",	-- Freezing Trap
				[19503] = "crowdControl",	-- Scatter Shot
				[19386] = "crowdControl",	-- Wyvern Sting
				[1513] = "crowdControl",	-- Scare Beast
				[50541] = "disarm",			-- Clench (Scorpid Pet)
				[91644] = "disarm",			-- Snatch (Bird of Prey Pet)
				[53148] = "root",			-- Charge (Tenacity Pet)
				[64803] = "root",			-- Entrapment (trap-roots)
				[136634] = "root",			-- Narrow Escape
				[50245] = "root";			-- Pin (Crab Pet)
				[90327] = "root",			-- Lock Jaw (Dog Pet)
				[4167] = "root",			-- Web (Spider Pet)
				[54706] = "root",			-- Venom Web Spray (Silithid Pet)
				
				-- Mage
				[45438] = "defCD",			-- Ice Block
				[12472] = "offCD",			-- Icy Veins
				[102051] = "stun",			-- Frost Jaw
				[44572] = "stun",			-- Deep Freeze
				[118271] = "stun";			-- Combustion Impact
				[55021] = "silence",		-- Counterspell silence
				[118] = "crowdControl",		-- Standard Polymorph
				[61305] = "crowdControl",	-- Polymorph Cat
				[28272] = "crowdControl",	-- Polymorph Pig
				[61721] = "crowdControl",	-- Polymorph Rabbit
				[61780] = "crowdControl",	-- Polymorph Turkey (woot?!)
				[28271] = "crowdControl",	-- Polymorph Turtle
				[82691] = "crowdControl",	-- Ring of Frost
				[31661] = "crowdControl",	-- Dragon's Breath
				[122] = "root",				-- Frost Nova
				[33395] = "root",			-- Freeze (Pet Nova)
				[111340] = "root",			-- Ice Ward Root
				[110909] = "usefulBuffs",	-- Alter Time

				-- Monk
				[120086] = "stun",			-- Fists of Fury
				[122242] = "stun",			-- Clash (stun)
				[126451] = "stun",			-- Clash (stun)
				[119392] = "stun",			-- Charging Ox Wave
				[119381] = "stun",			-- Leg Sweep
				[116709] = "silence",		-- Spear Hand Strike
				[137460] = "silence",		-- Silence (Ring of Peace)
				[115078] = "crowdControl",	-- Paralysis
				[123407] = "crowdControl",	-- Glyph of Breath of Fire
				[117368] = "disarm",		-- Grapple Weapon
				[137461] = "disarm",		-- Disarm (Ring of Peace)
				[116706] = "root",			-- Disable (root)
				[123393] = "root",			-- Spinning Fire Blossom

				-- Paladin
				[642] = "defCD",			-- Divine Shield
				[1022] = "defCD",			-- Hand of Protection
				[31842] = "offCD",			-- Avenging Wrath: Holy
				[31884] = "offCD",			-- Avenging Wrath: Retribution
				[105593] = "stun",			-- Fist of Justice
				[853] = "stun",				-- Hammer of Justice
				[119072] = "stun",			-- Holy Wrath
				[31935] = "silence",		-- Avenger's Shield
				[145067] = "crowdControl",	-- Turn Evil
				[105421] = "crowdControl",	-- Blinding Light
				[20066] = "crowdControl",	-- Repentance
				
				-- Priest
				[113506] = "defCD", 		-- Cyclone (Symbiosis) (Made that one a def CD, because the enemy is immune to everything during cyclone)
				[33206] = "defCD",			-- Pain Suppression
				[47788] = "defCD",			-- Guardian Spirit
				[47585] = "defCD",			-- Dispersion
				[10060] = "offCD",			-- Power Infusion
				[64044] = "stun",			-- Psychic Horror
				[15487] = "silence",		-- Silence
				[87204] = "crowdControl",	-- Sin and Punishment(Vampiric Touch dispel fear)
				[8122] = "crowdControl",	-- Psychic Scream
				[113792] = "crowdControl",	-- Psychic Terror (Psyfiend)
				[605] = "crowdControl",		-- Dominate Mind
				[88625] = "crowdControl",	-- Holy Word: Chastise
				[9484] = "crowdControl",	-- Shackle Undead
				[114404] = "root",			-- Void Tendrils
				[87194] = "root",			-- Glyph of Mindblast
				[6346] = "usefulBuffs",		-- Fear Ward
				[34914] = "usefulDebuffs",	-- Vampiric Touch
				
				-- Rogue	
				[5277] = "defCD",			-- Evasion
				[31224] = "defCD",			-- Cloak of Shadows
				[76577] = "defCD",			-- Smokebomb
				[121471] = "offCD",			-- Shadow Blades
				[51713] = "offCD",			-- Shadow Dance
				[408] = "stun", 			-- Kidney Shot
				[1833] = "stun",			-- Cheap Shot
				[113953] = "stun",			-- Paralysis (Paralitic Poison Stun)
				[1330] = "silence",			-- Garrote - Silence
				[2094] = "crowdControl", 	-- Blind
				[1776] = "crowdControl", 	-- Gouge
				[6770] = "crowdControl", 	-- Sap
				[51722] = "disarm", 		-- Dismantle
				[115197] = "root", 			-- Partial Paralysis (Paralitic Poison Shiv)
				
				-- Shaman
				[16166] = "offCD",			-- Elemental Mastery
				[118905] = "stun",			-- Static Charge
				[118345] = "stun",			-- Pulverize (Primal Earth Elemental)
				[77505] = "stun",			-- Earthquake Stun
				[51514] = "crowdControl",	-- Hex
				[76780] = "crowdControl",	-- Bind Elemental
				[63685] = "root",			-- Frost Shock (including Frozen Power)
				[64695] = "root",			-- Earthgrab Totem
				
				-- Warlock
				[710] = "defCD",			-- Banish (It is marked as def CD for the same reason as Cyclone)
				[113858] = "offCD",			-- Dark Soul: Instability
				[113861] = "offCD",			-- Dark Soul: Knowledge
				[113860] = "offCD",			-- Dark Soul: Misery
				[6789] = "stun",			-- Mortal Coil
				[30283] = "stun",			-- Shadowfury
				[89766] = "stun",			-- Axe Toss	(Pet-stun)
				[22703] = "stun",			-- Infernal Awakening
				[24259] = "silence",		-- Spell lock (Pet-silence)
				[115782] = "silence",		-- Optical Blast (Pet-silence)
				[137143] = "crowdControl",	-- Blood Horror
				[5484] = "crowdControl",	-- Howl of Terror
				[118699] = "crowdControl",	-- Fear
				[115268] = "crowdControl",	-- Mesmerize (Pet-Charm)
				[6358] = "crowdControl",	-- Seduce (Pet-Charm)
				[30108] = "usefulDebuffs",	-- Unstable Affliction		
				
				-- Warrior
				[871] = "defCD",			-- Shield Wall
				[1719] = "offCD",			-- Recklessness
				[7922] = "stun",			-- Charge Stun
				[132168] = "stun",			-- Shockwave
				[118000] = "stun",			-- Dragon Roar
				[132169] = "stun",			-- Storm Bolt
				[58357] = "silence",		-- Heroic Throw silence ?
				[5246] = "crowdControl",	-- Intimidating Shout
				[20511] = "crowdControl", 	-- Intimidating Shout
				[95199] = "crowdControl",	-- Intimidating Shout
				[676] = "disarm",			-- Disarm
				[107566] = "root",			-- Staggering Shout
				[105771] = "root",			-- Warbringer
				[23920] = "usefulBuffs",	-- Spell Reflection
				[114028] = "usefulBuffs",	-- Mass Spell Reflection
			},
			["FilteredSpells"] = { --[[This list blocks spells that cause bugs in the casthistory.]]--

					[127797] = "Ursol's Vortex", -- This ability is no channel, but the UNIT_SPELLCAST_SUCCEEDED event fires for it multiple times, if an enemy player stands inside of it.
					[102794] = "Ursol's Vortex",
					[75] = "Auto Shot", -- For every autoshot a hunter casts, the cast history will create a button. So we filter it.
					[107270] = "Spinning Crane Kick",
					[5374] = "Mutilate", -- The real Mutilate-Spell triggers these two spells. We don't need to show all three of them in the CastHistory, so we block them too.
					[27576] = "Mutilate Off-Hand",
					[110745] = "Divine Star (Holy)",
					[122128] = "Divine Star (Shadow)",
					[120692] = "Halo (Holy)",
					[120696] = "Halo (Shadow)",
					[93217] = "Launch Quest",
					[93079] = "Launch Quest",
					[102470] = "Launch Quest",
					[100775] = "Trophy Collector",
					[836] = "LOGINEFFECT",
					[121473] = "Shadow Blade",
					[121474] = "Shadow Blade Off-hand",
					[137584] = "Shuriken Toss (Autoattack Mainhand)",
					[137585] = "Shuriken Toss Off-hand",
					[126526] = "Healing Sphere Charge Removal",
					[124040] = "Chi Torpedo",
					[166646] = "Wind Walking",
					[126137] = "Lightspring Trigger",
					[178293] = "Arena Inbounds Marker",
			},
			["ShownBuffs"] = { -- I've decided to just show certain Buffs on the Buff-frame. Here is the List.
			-- Order is [SpellID] = "Castname",
			
				--Rogue
				[51713] = "Shadow Dance",
				[121471] = "Shadow Blades",
				[5277] = "Evasion",
				[2983] = "Sprint",
				[73651] = "Recuperate",
				[5171] = "Slice and Dice",
				[8679] = "Wound Poison",
				[2823] = "Deadly Poison",
				[5761] = "Mind-numbing Poison",
				[3408] = "Crippling Poison",
				[108215] = "Paralytic Poison",
				[108211] = "Leeching Poison",
				[74001] = "Combat Readiness",
				[74002] = "Combat Insight", -- Combat Readiness Stacks
				[1966] = "Feint",
				
				--Death Knight
				[48707] = "Anti-Magic Shell",
				[48263] = "Blood Presence",
				[48266] = "Frost Presence",
				[48265] = "Unholy Presence",
				[48792] = "Icebound Fortitude",
				[49016] = "Unholy Frenzy",
				[49222] = "Bone Shield",
				[55233] = "Vampiric Blood",
				[51271] = "Pillar of Frost",
				[115989] = "Unholy Blight",
				[49039] = "Lichborne",
				[51052] = "Anti-Magic Zone",
				[114556] = "Purgatory",
				[118009] = "Desecrated Ground",

				
				--Priest
				[81700] = "Archangel",
				[81209] = "Chakra: Chastise",
				[81206] = "Chakra: Sanctuary",
				[81208] = "Chakra: Serenity",
				[47585] = "Dispersion",
				[586] = "Fade",
				[6346] = "Fear Ward",
				[120587] = "Glyph of Mind Flay",
				[47788] = "Guardian Spirit",
				[33206] = "Pain Suppression",
				[10060] = "Power Infusion",
				[17] = "Power Word: Shield",
				[41637] = "Prayer of Mending",
				[15473] = "Shadowform",
				[112833] = "Spectral Guise",
				[109964] = "Spirit Shell",
				[114908] = "Spirit Shell: Absorb",
				

				--Druid
				[22812] = "Barkskin",
				[1850] = "Dash",
				[106922] = "Might of Ursoc",
				[77764] = "Stampeding Roar",
				[77761] = "Stampeding Roar",
				[106898] = "Stampeding Roar",
				[48505] = "Starfall",
				[61336] = "Survival Instincts",
				[5217] = "Tiger's Fury",
				[106951] = "Berserk",
				[50334] = "Berserk",
				[29166] = "Innervate",
				[102342] = "Ironbark",
				[33763] = "Lifebloom",
				[59990] = "Lifebloom",
				[94447] = "Lifebloom",
				[774] = "Rejuvenation",
				[8936] = "Regrowth",
				[132158] = "Nature's Swiftness",
				[102352] = "Cenarion Ward",
				[102560] = "Incarnation: Chosen of Elune",
				[102543] = "Incarnation: King of the Jungle",
				[102558] = "Incarnation: Son of Ursoc",
				[33891] = "Incarnation: Tree of Life",
				[124974] = "Nature's Vigil",

				
				--Shaman
				[324] = "Lightning Shield",
				[79206] = "Spiritwalker's Grace",
				[52127] = "Water Shield",
				[30823] = "Shamanistic Rage",
				[108271] = "Astral Shift",
				[16166] = "Elemental Mastery",
				[16188] = "Ancestral Swiftness",
				[108281] = "Ancestral Guidance",
				[974] = "Earth Shield",
				[61295] = "Riptide",
				[119523] = "Healing Stream Totem",

				
				--Paladin
				[53563] = "Beacon of Light",
				[31842] = "Avenging Wrath: Holy",
				[31884] = "Avenging Wrath: Retribution",
				[31821] = "Devotion Aura",
				[31842] = "Divine Favor",
				[54428] = "Divine Plea",
				[498] = "Divine Protection",
				[642] = "Divine Shield",
				[86698] = "Guardian of Ancient Kings",
				[86669] = "Guardian of Ancient Kings",
				[86659] = "Guardian of Ancient Kings",
				[1044] = "Hand of Freedom",
				[1022] = "Hand of Protection",
				[85499] = "Speed of Light",
				[20925] = "Sacred Shield",
				[114039] = "Hand of Purity",
				[105809] = "Holy Avenger",

				
				--Mage
				[108839] = "Ice Floes",
				[7302] = "Frost Armor",
				[30482] = "Molten Armor",
				[6117] = "Mage Armor",
				[12042] = "Arcane Power",
				[45438] = "Ice Block",
				[12472] = "Icy Veins",
				[66] = "Invisibility",
				[113862] = "Greater Invisibility",
				[110909] = "Alter Time",

				
				--Warlock
				[114168] = "Dark Apotheosis",
				[103958] = "Metamorphosis",
				[109773] = "Dark Intent",
				[113861] = "Dark Soul: Knowledge",
				[113860] = "Dark Soul: Misery",
				[113858] = "Dark Soul: Instability",
				[6229] = "Twilight Ward",
				[108415] = "Soul Link",
				[108416] = "Sacrificial Pact",
				[110913] = "Dark Bargain",
				[108503] = "Grimoire of Sacrifice",
				[108505] = "Archimonde's Vengeance",
				[119049] = "Kil'jaeden's Cunning",

				
				--Warrior
				[18499] = "Berserker Rage",
				[85730] = "Deadly Calm",
				[118038] = "Die by the Sword",
				[97463] = "Rallying Cry",
				[1719] = "Recklessness",
				[871] = "Shield Wall",
				[23920] = "Spell Reflection",
				[12328] = "Sweeping Strikes",
				[114206] = "Skull Banner",
				[55694] = "Enraged Regeneration",
				[16491] = "Second Wind",
				[29842] = "Second Wind",
				[128749] = "Bladestorm",
				[114028] = "Mass Spell Reflection",
				[107574] = "Avatar",
				[12292] = "Bloodbath",

				
				-- Hunter
				[13165] = "Aspect of the Hawk",
				[82661] = "Aspect of the Fox",
				[19263] = "Deterrence",
				[5384] = "Feign Death",
				[62305] = "Master's Call",
				[54216] = "Master's Call",
				[3045] = "Rapid Fire",
				[51755] = "Camouflage",
				[119449] = "Glyph of Camouflage",
				[109260] = "Aspect of the Iron Hawk",
				
				
				-- Monk
				[119611] = "Renewing Mist",
				
				
				-- Other:
				[121279] = "Lifeblood",
			},
		["Dispels"] = {
			-- TO DO: SPEC SPECIFIC SPELLS
			["DRUID"] = { 88423, 8 }, 			-- Nature's Cure
			["MAGE"] = { 475, 8 },				-- Remove Curse
			["MONK"] = { 115450, 8 }, 			-- Detox
			["PALADIN"] = { 4987, 8 }, 			-- Cleanse
			["PRIEST"] = { 527, 8 }, 			-- Purify
			["SHAMAN"] = { 51886, 8 }, 			-- Cleanse Spirit
		},
		["Interrupts"] = {
			["DEATHKNIGHT"] = { 47528, 15 },	-- Mind Freeze
			["DRUID"] = { 106839, 15 }, 		-- Skull Bash
			["HUNTER"] = { 147362, 24 },		-- Counter Shot
			["MAGE"] = { 2139, 24 },			-- Counter Spell
			["PALADIN"] = { 96231, 15 }, 		-- Rebuke
			["ROGUE"] = { 1766, 15 }, 			-- Kick
			["SHAMAN"] = { 57994, 12 },			-- Wind Shear
			["WARLOCK"] = { 132409, 24 }, 		-- Spell lock Warlock (I use this one for all warlock counters and let them have a shared CD via the "SharedCooldowns" table.
			["WARRIOR"] = { 6552, 15 },			-- Pummel		
		},
		["SharedCooldowns"] = {
				[42292] = { -- PvP-Insignia
					[59752] = 120,			-- Human Racial
					[7744] = 30,			-- Will of the Forsaken
				},
				[59752] = { -- Human Racial
					[42292] = 120,			-- PvP-Insignia
				},
				[7744] = { -- Will of the Forsaken
					[42292] = 30,			-- PvP-Insignia
				},
				[119911] = { -- Optical Blast
					[132409] = 24,				-- Spell lock (Warlock)
				},
				[171140] = { -- Shadowlock
					[132409] = 24,				-- Spell lock (Warlock)
				},
				[119910] = { -- Spell lock
					[132409] = 24,				-- Spell lock (Warlock)
				},
			},
		["DiminishingReturns"] =
			{						
				-- Roots:
				[96294] = "root", 				-- Chains of Ice
				
				[339] = "root", 				-- Entangling Roots
				[102359] = "root",				-- Mass Entanglement
				
				[53148] = "root",				-- Charge (Tenacity Pet)
				[64803] = "root",				-- Entrapment (trap-roots)
				[136634] = "root", 				-- Narrow Escape 
				
				[33395] =  "root",  			-- Freeze
				[122] = "root",  				-- Frost Nova
				[111340] = "root",			-- Ice Ward Root
				
				[116706] = "root",  			-- Disable
				
				[87194] = "root",				-- Glyph of Mindblast
				[114404] = "root", 				-- Void Tendril's Grasp

				[64695] = "root",				-- Earthgrab (Earthgrab Totem)
				[63685] = "root", 				-- Frost Shock (Frozen Power Talent)

				
				-- Stuns:
				[108194] = "stun", 				-- Asphyxiate
				[91800] = "stun", 				-- Gnaw (Ghoul)
				[91797] = "stun", 				-- Monstrous Blow (Ghoul with Dark Transformation active)
				[115001] = "stun", 				-- Remorseless Winter
				
				[22570] = "stun", 				-- Maim
				[5211] = "stun", 				-- Mighty Bash
				[163505] = "stun", 				-- Rake	
				
				[117526] = "stun",				-- Binding Shot
				[19577] = "stun",				-- Intimidation (stun)			

				[44572] = "stun", 				-- Deep Freeze
				
				[119392] = "stun", 				-- Charging Ox Wave
				--[122242] = "stun", 				-- Clash
				[120086] = "stun", 				-- Fists of Fury
				[119381] = "stun", 				-- Leg Sweep
				
				--[54934] = "stun", 				-- Glyph of Blinding Light
				[105593] = "stun", 				-- Fist of Justice
				[853] = "stun",					-- Hammer of Justice
				[119072] = "stun", 				-- Holy Wrath
				
				[1833] = "stun", 				-- Cheap Shot
				[408] = "stun", 				-- Kidney Shot
				
				[118345] = "stun",				-- Pulverize (Primal Earth Elemental)
				[118905] = "stun", 				-- Static Charge
				
				[103131] = "stun",				-- Axe Toss (Felguard)
				[22703] = "stun",				-- Infernal Awakening
				[30283] = "stun", 				-- Shadowfury
				
				[132168] = "stun", 				-- Shockwave
				[107570] = "stun",				-- Storm Bolt
				
				[20549] = "stun", 				-- War Stomp
				
				
				-- Incapacitates:
				[99] = "incapacitate", 			-- Incapacitating Roar
				
				[3355] = "incapacitate", 		-- Freezing Trap
				[19386] = "incapacitate", 		-- Wyvern Sting
				
				[31661] = "incapacitate", 		-- Dragon's Breath
				[118] = "incapacitate", 		-- Polymorph
				[113724] = "incapacitate", 		-- Ring of Frost
				
				[123407] = "incapacitate",		-- Glyph of Breath of Fire
				[115078] = "incapacitate", 		-- Paralysis
				[137460] = "incapacitate",		-- Ring of Peace
				
				[20066] = "incapacitate", 		-- Repentance
				
				[605] = "incapacitate",			-- Dominate Mind
				[88625] = "incapacitate", 		-- Holy Word: Chastise
				[64044] = "incapacitate", 		-- Psychic Horror
				[9484] = "incapacitate", 		-- Shackle Undead (?)
				
				
				[1776] = "incapacitate", 		-- Gouge
				[6770] = "incapacitate", 		-- Sap
				
				[51514] = "incapacitate", 		-- Hex
				
				[710] = "incapacitate",			-- Banish
				[137143] = "incapacitate", 		-- Blood Horror
				[6789] = "incapacitate", 		-- Mortal Coil
				
				[107079] = "incapacitate", 		-- Quaking Palm (Racial)
				
				-- Disorients:
				[33786] = "disorient",			-- Cyclone
				
				[10326] = "disorient", 			-- Turn Evil
				[105421] = "disorient", 		-- Blinding Light (?)
				
				[8122] = "disorient", 			-- Psychic Scream
				
				[2094] = "disorient", 			-- Blind

				[118699] = "disorient", 		-- Fear
				[5484] = "disorient", 			-- Howl of Terror
				[115268] = "disorient", 		-- Mesmerize
				[6358] = "disorient", 			-- Seduction

				[5246] = "disorient",			-- Intimidating Shout
				[95199] = "disorient", 			-- Intimidating Shout

				
				-- Silences:
				[47476] = "silence", 			-- Strangulate
				
				[114238] = "silence",			-- Fae Silence (Glyph of Fae Silence)
				[81261] = "silence", 			-- Solar Beam
				
				[102051] = "silence", 			-- Frostjaw
				
				[31935] = "silence", 			-- Avenger's Shield
				
				[15487] = "silence", 			-- Silence
				
				[1330] = "silence", 			-- Garrote - Silence
				
				[129597] = "silence", 			-- Arcane Torrent
				
				
				-- Knockbacks:
				-- Gorefiend's Grasp
				
				-- Typhoon
				-- Ursol's Vortex
				
				-- Glyph of Explosive Trap
				-- Thunderstorm
				-- Fellash (Shivarra)
				-- Whiplash (Succubus)
			},
	};